How should I use argcomplete in zsh?

I'm using argcomplete to have Tab completion in Bash. argcomplete offers global completion for bash, but doesn't for zsh. I would like to create a file ~/.zsh_completion, to contain the to be...

HDF5 library version mismatched error with latest Tensorflow build for windows x64

Due to a bug still present in Tensorflow 1.0.1 release for windows I have installed the latest nightly build tensorflow cpu Unfortunately with this version, now kernel crashes for a different...

Connection with Python to Webdav

I am trying to upload a file in a webdav server via Python, using webdavclient. I am using this script which is quite straightforward. I download the library both with Python 2 & 3. import...

changing conda default python version

First, I already do conda install python=3.6 and I know conda create --name py36 python=3.6 source activate py36 But, what I want to change is default python version of anaconda in platform :...

Virtualenv not isolated

I am using pyenv and pyenv-virtualenv. I create a brand new environment: » type python python is ~/.pyenv/shims/python » python --version Python 2.7.12 » pyenv --version pyenv...

How to fix ModuleNotFoundError in azureml-sdk when installed inside conda environment

I'm setting up a conda environment on Windows 10 Pro x64 using Miniconda 4.5.12 and have done a pip install of azureml-sdk inside the environment but get a ModuleNotFoundError when attempting to...

UnsatisfiableError: The following specifications were found to be incompatible with each other:

I am running on Ubuntu 16.04 and I have run into issues with Anaconda. Due to package inconsistencies, I can no longer install, update or remove packages. $ conda info NVIDIA: no NVIDIA devices...

Missing Dependencies on Python Azure Function

Please note: This works fine locally but only makes an issue when working on azure online function. Error: Result: Failure Exception: ModuleNotFoundError: No module named 'pandas' Stack: File...

airflow + why airflow return unclear erros

I am using the airflow application on my Linux server note - Airflow is a platform to programmatically author, schedule and monitor workflows. from some unclear reason we get the following issues...

Airflow Dag Run Stalls Mid-Run

I have setup airflow v1.10.6 on ubuntu, using python 3.6.8. and have written a simple practice dag that runs a set of 30 parallel tasks. I'm triggering the dag through the UI as this will be run...

Getting Errors while installing airflow using pip install apache-airflow in macOS Catalina

I am steering my learning wheel towards airflow during this weekend and while setting up and installing airflow at local machine using pip install apache-airflow, I'm getting following...

Zappa+Flask: A GET request to '/' yielded a 502 response code

I am trying to deploy my flask app on aws lambda via zappa. And I am getting the following error when I do zappa deploy dev: Calling deploy for stage dev.. Downloading and installing...

Error loading Python lib pyinstaller (detailed description of different attempts taken)

Error loading Python lib The name of my python script is kled.py This is the message I used to create it: pyinstaller kled.py --windowed Here is the error message I get when I execute the terminal...

Apache Airflow DockerOperator not finding docker module

So I am trying to run a simple dag using the DockerOperator. I am running the command airflow webserver in my conda environment with the following modules: Package ...

Issue while initialising db in airflow

I am new to airflow and trying to initiate a MySQL db to airflow. I have created a virtual environment and installed the respective packages. I am getting the following error : airflow...

Zappa packaged lambda error ..botocore.exceptions.SSLError: SSL validation failed for <s3 file> [Errno 2] No such file or directory

Running AWS lambda service packaged using Zappa.io The service is running however, its not able to reach the S3 file due to ssl error Getting the below error while trying to access remote_env from...

Older barman 2.6-1 instead of the latest 2.11 when using 2ndQuadrant Public APT repository

I am trying to setup & deploy barman as a docker container as part of setting up PostgreSQL DR. I notice that when i use the 2ndQuadrant Public APT repository & install barman i see barman 2.6-1...

python3 pip installation of QMK failing

I am currently attempting to set up QMK on my laptop on MSYS2, following their documentation's instructions. When I enter the command python3 -m pip install qmk, I received an error that was...

how to create a custom python environment from yml file *with* downloads of missing packages

I am trying to build a python 3.5 environment that supports an old hddm library. Standard approaches fail due to my/anaconda's apparent inability in ignore (or downgrade) the 10.1 cuda library in...

Python3: list all installed packages and versions in a virtual environment programmatically

I'm using pipenv to create a virtual environment and I'm writing write a script that fetches all the installed packages and puts in a dictionary their names and versions, just as pip list would do...

Apt-get with Packer randomly failing

I'm using Packer to build an ami with a file ami.json that runs two provisioners built off the default Ubuntu Server 20.04 LTS image. The problem is Packer build randomly fails on apt-get install...

How to make python argcomplete run with PowerShell

I am trying to see if I can use argument autocompletion in Windows Powershell for my python script. Powershell allegedly supports argument completion. Here's a minimal example which does not...

Auto-complete does not work for user with argcomplete

The auto-completion feature does not seem to work for me. I created a small test script that reproduces the problem on my setup (Ubuntu 20.04, bash 5.0.17, python 3.8): #!/usr/bin/env python3 #...

Cannot upgrade azure cli to the latest version

az --version showing an updated version available as shown below. [email protected]:~$ az --version azure-cli 2.18.0 * core 2.18.0 * telemetry ...

Using apache-airflow-providers-snowflake on airflow (no module named Snowflake)

I have installed package apache-airflow-providers-snowflake on airflow on docker and i am getting error No module named Snowflake Please refer attachment (check the error mentioned for the...

Error installing apache-airflow: "Could not build wheels for setproctitle which use PEP 517 and cannot be installed directly"

I'm trying to find some help installing apache-airflow. I am on MacOS 10.15.7, Python version 3.8.2, and I keep getting an error: ERROR: Could not build wheels for setproctitle which use PEP 517...

python argparse autocompletion with file paths

So I have a python program that reads a config file like this: import argparse parser = argparse.ArgumentParser() parser.add_argument('-c', '--config', type=str, help='config file',...

PythonVirtualenvOperator using airflow module fails to execute with AttributeError: module 'airflow' has no attribute 'utils'

I have Airflow deployed in virtual env and in case I try to execute PythonVirtualenvOperator with import of the Airflow module (to get Variables for example) it gives me the AttributeError. Guess...

NameError: name '_mysql' is not defined -- On airflow start in MacOSX

There are numbers of articles on the titled question but none of them worked for me. The detailed error is as follows: Traceback (most recent call last): File...

Broken airflow upgrade_check command. Outputs "Please install apache-airflow-upgrade-check distribution from PyPI to perform upgrade checks"

Currently running airflow 1.10.15. Wanted to perform some tests before upgrading to 2+. So installed pip install apache-airflow-upgrade-check in the scheduler pod which installed successfully. So...